# Asterisk Project : Asterisk 12 Application_Pickup

Added by wikibot , edited by wikibot on Aug 29, 2013

# Pickup()

### Synopsis

Directed extension call pickup.

### Description

This application can pickup a specified ringing channel. The channel to pickup can be specified in the following ways.

1) If no extension targets are specified, the application will pickup a channel matching the pickup group of the requesting channel.

2) If the extension is specified with a context of the special string `PICKUPMARK` (for example 10@PICKUPMARK), the application will pickup a channel which has defined the channel variable `PICKUPMARK` with the same value as extension (in this example, `10`).

3) If the extension is specified with or without a context, the channel with a matching extension and context will be picked up. If no context is specified, the current context will be used.

Note

The extension is typically set on matching channels by the dial application that created the channel. The context is set on matching channels by the channel driver for the device.

### Syntax

    Pickup(extension&extension2[&...])

##### Arguments

- `targets`
  - `extension` - Specification of the pickup target.
    - `extension`
    - `context`
  - `extension2` - Additional specifications of pickup targets.
    - `extension2`
    - `context2`

### See Also

### Import Version

This documentation was imported from Asterisk Version Unknown